/*
 * bug_3187.cpp
 *
 *  Created on: Aug 24, 2020
 *      Author: cady
 */
#include "yaml_data.hpp"
#include <sstream>

std::string test_data::bug_3187()
{
    std::stringstream ss;
    ss << "rotations convention: [psi, theta', phi'']\n"
       << "\n"
       << "environmental constants:\n"
       << "    g: {value: 9.81, unit: m/s^2}\n"
       << "    rho: {value: 1025, unit: kg/m^3}\n"
       << "    nu: {value: 1.19e-6, unit: m^2/s}\n"
       << "environment models:\n"
       << "  - model: no waves\n"
       << "    constant sea elevation in NED frame: {value: 0, unit: m}\n"
       << "\n"
       << "# Fixed frame: NED\n"
       << "bodies: # All bodies have NED as parent frame\n"
       << "  - name: ship\n"
       << "    position of body frame relative to mesh:\n"
       << "        frame: mesh\n"
       << "        x: {value: 0, unit: m}\n"
       << "        y: {value: 0, unit: m}\n"
       << "        z: {value: 0, unit: m}\n"
       << "        phi: {value: 0, unit: rad}\n"
       << "        theta: {value: 0, unit: rad}\n"
       << "        psi: {value: 0, unit: rad}\n"
       << "    initial position of body frame relative to NED:\n"
       << "        frame: NED\n"
       << "        x: {value: 0, unit: m}\n"
       << "        y: {value: 0, unit: m}\n"
       << "        z: {value: 0, unit: m}\n"
       << "        phi: {value: 0, unit: deg}\n"
       << "        theta: {value: 0, unit: deg}\n"
       << "        psi: {value: 0, unit: deg}\n"
       << "    initial velocity of body frame relative to NED:\n"
       << "        frame: ship\n"
       << "        u: {value: 1, unit: m/s}\n"
       << "        v: {value: 0, unit: m/s}\n"
       << "        w: {value: 0, unit: m/s}\n"
       << "        p: {value: 0, unit: rad/s}\n"
       << "        q: {value: 0, unit: rad/s}\n"
       << "        r: {value: 0, unit: rad/s}\n"
       << "    dynamics:\n"
       << "        hydrodynamic forces calculation point in body frame:\n"
       << "            x: {value: 0, unit: m}\n"
       << "            y: {value: 0, unit: m}\n"
       << "            z: {value: 0, unit: m}\n"
       << "        centre of inertia:\n"
       << "            frame: ship\n"
       << "            x: {value: 0, unit: m}\n"
       << "            y: {value: 0, unit: m}\n"
       << "            z: {value: 0, unit: m} \n"
       << "        mass: {value: 1, unit: tonne} # Caution: 'ton' is the british ton which is 907.185 kg\n"
       << "        rigid body inertia matrix at the center of gravity and projected in the body frame:\n"
       << "            frame: ship\n"
       << "            row 1: [1,0,0,0,0,0]\n"
       << "            row 2: [0,1,0,0,0,0]\n"
       << "            row 3: [0,0,1,0,0,0]\n"
       << "            row 4: [0,0,0,1,0,0]\n"
       << "            row 5: [0,0,0,0,1,0]\n"
       << "            row 6: [0,0,0,0,0,1]\n"
       << "        added mass matrix at the center of gravity and projected in the body frame:\n"
       << "            frame: ship\n"
       << "            row 1: [1,0,0,0,0,0]\n"
       << "            row 2: [0,1,0,0,0,0]\n"
       << "            row 3: [0,0,1,0,0,0]\n"
       << "            row 4: [0,0,0,1,0,0]\n"
       << "            row 5: [0,0,0,0,1,0]\n"
       << "            row 6: [0,0,0,0,0,1]\n"
       << "    blocked dof:\n"
       << "        from YAML:\n"
       << "          - state: u\n"
       << "            t: [2, 5]\n"
       << "            value: [666, 669]\n"
       << "            interpolation: linear\n"
       << "    external forces: []\n";
    return ss.str();
}
